headless lms

Reorder the files of an event you run

PUT /api/member/events/{eventId}/assets/order. Reorder the files of an event you run. Headless LMS Events API reference.

PUT
/api/member/events/{eventId}/assets/order

Requires events:write. Send every attached file id exactly once (409 otherwise). Returns the event's files.

Path Parameters

eventId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/member/events/string/assets/order" \  -H "Content-Type: application/json" \  -d '{    "assetIds": [      "string"    ]  }'
[  {    "orgId": "string",    "id": "string",    "eventId": "string",    "assetId": "string",    "seq": -9007199254740991,    "displayName": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "filename": "string",    "contentType": "string",    "size": 0,    "url": "string"  }]
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}